Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net
Class WrapperSocket

`java.lang.Object
java.net.Socket
com.tangosol.net.WrapperSocket`

      public class WrapperSocket

extends java.net.Socket

Wrapper socket implementation that delegates all operations to a delegate socket.

Author:
  jh/mf 2010.04.27

Field Summary
`protected java.net.Socket` | `m_delegate` The delegate socket.

Constructor Summary
`WrapperSocket(java.net.Socket socket)` Create a new Socket that delegates all operations to the given socket.

Method Summary
`void` | `bind(java.net.SocketAddress addr)`
`void` | `close()`
`void` | `connect(java.net.SocketAddress addr)`
`void` | `connect(java.net.SocketAddress addr, int cMillis)`
`java.nio.channels.SocketChannel` | `getChannel()`
`java.net.InetAddress` | `getInetAddress()`
`java.io.InputStream` | `getInputStream()`
`boolean` | `getKeepAlive()`
`java.net.InetAddress` | `getLocalAddress()`
`int` | `getLocalPort()`
`java.net.SocketAddress` | `getLocalSocketAddress()`
`boolean` | `getOOBInline()`
`java.io.OutputStream` | `getOutputStream()`
`int` | `getPort()`
`int` | `getReceiveBufferSize()`
`java.net.SocketAddress` | `getRemoteSocketAddress()`
`boolean` | `getReuseAddress()`
`int` | `getSendBufferSize()`
`int` | `getSoLinger()`
`int` | `getSoTimeout()`
`boolean` | `getTcpNoDelay()`
`int` | `getTrafficClass()`
`boolean` | `isBound()`
`boolean` | `isClosed()`
`boolean` | `isConnected()`
`boolean` | `isInputShutdown()`
`boolean` | `isOutputShutdown()`
`void` | `sendUrgentData(int nData)`
`void` | `setKeepAlive(boolean fKeepAlive)`
`void` | `setOOBInline(boolean fInline)`
`void` | `setPerformancePreferences(int nConnectionTime, int nLatency, int nBandwidth)`
`void` | `setReceiveBufferSize(int cb)`
`void` | `setReuseAddress(boolean fReuse)`
`void` | `setSendBufferSize(int cb)`
`void` | `setSoLinger(boolean fLinger, int cSecs)`
`void` | `setSoTimeout(int cMillis)`
`void` | `setTcpNoDelay(boolean fNoDelay)`
`void` | `setTrafficClass(int nClass)`
`void` | `shutdownInput()`
`void` | `shutdownOutput()`
`java.lang.String` | `toString()`

Methods inherited from class java.net.Socket
`setSocketImplFactory`

Field Detail

### m_delegate

    protected java.net.Socket m_delegate

  The delegate socket.

Constructor Detail

### WrapperSocket

    public WrapperSocket(java.net.Socket socket)

  Create a new Socket that delegates all operations to the given socket.
  Parameters:
    `socket` - the delegate socket

Method Detail

### bind

    public void bind(java.net.SocketAddress addr)
              throws java.io.IOException

  Overrides:
    `bind` in class `java.net.Socket`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `java.net.Socket`
  Throws:
    `java.io.IOException`

### connect

    public void connect(java.net.SocketAddress addr)
                 throws java.io.IOException

  Overrides:
    `connect` in class `java.net.Socket`
  Throws:
    `java.io.IOException`

### connect

    public void connect(java.net.SocketAddress addr,
                        int cMillis)
                 throws java.io.IOException

  Overrides:
    `connect` in class `java.net.Socket`
  Throws:
    `java.io.IOException`

### getChannel

    public java.nio.channels.SocketChannel getChannel()

  Overrides:
    `getChannel` in class `java.net.Socket`

### getInetAddress

    public java.net.InetAddress getInetAddress()

  Overrides:
    `getInetAddress` in class `java.net.Socket`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Overrides:
    `getInputStream` in class `java.net.Socket`
  Throws:
    `java.io.IOException`

### getKeepAlive

    public boolean getKeepAlive()
                         throws java.net.SocketException

  Overrides:
    `getKeepAlive` in class `java.net.Socket`
  Throws:
    `java.net.SocketException`

### getLocalAddress

    public java.net.InetAddress getLocalAddress()

  Overrides:
    `getLocalAddress` in class `java.net.Socket`

### getLocalPort

    public int getLocalPort()

  Overrides:
    `getLocalPort` in class `java.net.Socket`

### getLocalSocketAddress

    public java.net.SocketAddress getLocalSocketAddress()

  Overrides:
    `getLocalSocketAddress` in class `java.net.Socket`

### getOOBInline

    public boolean getOOBInline()
                         throws java.net.SocketException

  Overrides:
    `getOOBInline` in class `java.net.Socket`
  Throws:
    `java.net.SocketException`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Overrides:
    `getOutputStream` in class `java.net.Socket`
  Throws:
    `java.io.IOException`

### getPort

    public int getPort()

  Overrides:
    `getPort` in class `java.net.Socket`

### getReceiveBufferSize

    public int getReceiveBufferSize()
                             throws java.net.SocketException

  Overrides:
    `getReceiveBufferSize` in class `java.net.Socket`
  Throws:
    `java.net.SocketException`

### getRemoteSocketAddress

    public java.net.SocketAddress getRemoteSocketAddress()

  Overrides:
    `getRemoteSocketAddress` in class `java.net.Socket`

### getReuseAddress

    public boolean getReuseAddress()
                            throws java.net.SocketException

  Overrides:
    `getReuseAddress` in class `java.net.Socket`
  Throws:
    `java.net.SocketException`

### getSendBufferSize

    public int getSendBufferSize()
                          throws java.net.SocketException

  Overrides:
    `getSendBufferSize` in class `java.net.Socket`
  Throws:
    `java.net.SocketException`

### getSoLinger

    public int getSoLinger()
                    throws java.net.SocketException

  Overrides:
    `getSoLinger` in class `java.net.Socket`
  Throws:
    `java.net.SocketException`

### getSoTimeout

    public int getSoTimeout()
                     throws java.net.SocketException

  Overrides:
    `getSoTimeout` in class `java.net.Socket`
  Throws:
    `java.net.SocketException`

### getTcpNoDelay

    public boolean getTcpNoDelay()
                          throws java.net.SocketException

  Overrides:
    `getTcpNoDelay` in class `java.net.Socket`
  Throws:
    `java.net.SocketException`

### getTrafficClass

    public int getTrafficClass()
                        throws java.net.SocketException

  Overrides:
    `getTrafficClass` in class `java.net.Socket`
  Throws:
    `java.net.SocketException`

### isBound

    public boolean isBound()

  Overrides:
    `isBound` in class `java.net.Socket`

### isClosed

    public boolean isClosed()

  Overrides:
    `isClosed` in class `java.net.Socket`

### isConnected

    public boolean isConnected()

  Overrides:
    `isConnected` in class `java.net.Socket`

### isInputShutdown

    public boolean isInputShutdown()

  Overrides:
    `isInputShutdown` in class `java.net.Socket`

### isOutputShutdown

    public boolean isOutputShutdown()

  Overrides:
    `isOutputShutdown` in class `java.net.Socket`

### sendUrgentData

    public void sendUrgentData(int nData)
                        throws java.io.IOException

  Overrides:
    `sendUrgentData` in class `java.net.Socket`
  Throws:
    `java.io.IOException`

### setKeepAlive

    public void setKeepAlive(boolean fKeepAlive)
                      throws java.net.SocketException

  Overrides:
    `setKeepAlive` in class `java.net.Socket`
  Throws:
    `java.net.SocketException`

### setOOBInline

    public void setOOBInline(boolean fInline)
                      throws java.net.SocketException

  Overrides:
    `setOOBInline` in class `java.net.Socket`
  Throws:
    `java.net.SocketException`

### setPerformancePreferences

    public void setPerformancePreferences(int nConnectionTime,
                                          int nLatency,
                                          int nBandwidth)

  Overrides:
    `setPerformancePreferences` in class `java.net.Socket`

### setReceiveBufferSize

    public void setReceiveBufferSize(int cb)
                              throws java.net.SocketException

  Overrides:
    `setReceiveBufferSize` in class `java.net.Socket`
  Throws:
    `java.net.SocketException`

### setReuseAddress

    public void setReuseAddress(boolean fReuse)
                         throws java.net.SocketException

  Overrides:
    `setReuseAddress` in class `java.net.Socket`
  Throws:
    `java.net.SocketException`

### setSendBufferSize

    public void setSendBufferSize(int cb)
                           throws java.net.SocketException

  Overrides:
    `setSendBufferSize` in class `java.net.Socket`
  Throws:
    `java.net.SocketException`

### setSoLinger

    public void setSoLinger(boolean fLinger,
                            int cSecs)
                     throws java.net.SocketException

  Overrides:
    `setSoLinger` in class `java.net.Socket`
  Throws:
    `java.net.SocketException`

### setSoTimeout

    public void setSoTimeout(int cMillis)
                      throws java.net.SocketException

  Overrides:
    `setSoTimeout` in class `java.net.Socket`
  Throws:
    `java.net.SocketException`

### setTcpNoDelay

    public void setTcpNoDelay(boolean fNoDelay)
                       throws java.net.SocketException

  Overrides:
    `setTcpNoDelay` in class `java.net.Socket`
  Throws:
    `java.net.SocketException`

### setTrafficClass

    public void setTrafficClass(int nClass)
                         throws java.net.SocketException

  Overrides:
    `setTrafficClass` in class `java.net.Socket`
  Throws:
    `java.net.SocketException`

### shutdownInput

    public void shutdownInput()
                       throws java.io.IOException

  Overrides:
    `shutdownInput` in class `java.net.Socket`
  Throws:
    `java.io.IOException`

### shutdownOutput

    public void shutdownOutput()
                        throws java.io.IOException

  Overrides:
    `shutdownOutput` in class `java.net.Socket`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.net.Socket`

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.